<?php
/*
 * @version     $Id: layout.php,v 1.8.2.2 2002/02/08 20:30:42 cmv Exp $
 * @copyright   2000, easyDNS Technologies Inc.
 *
 * $Horde: babel/lib/layout.php,v 1.6 2004/10/19 15:21:46 mdjukic Exp $
 */


function commonHeader($title)
{
	if (!empty($_POST['new_lang'])) {
        setcookie('i18n_lang', $_POST['new_lang'], time()+31536000 );   
        $_COOKIE['i18n_lang'] = $_POST['new_lang'];
	}

	echo <<< EOF
<!doctype html public "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/REC-html40/loose.dtd">
<HTML>
<HEAD>
<TITLE>i18n :: {$title}</TITLE>
</HEAD>

<BODY>
EOF;
}


function commonFooter() {
	echo <<< EOF
</BODY>
</HTML>
EOF;
}


function pageHeader($title, $subhead=false) {
	global $PHP_SELF, $USER, $USER_LANGS, $LANGS, $WORKING_BRANCH;

	if ($subhead) {
		$subhead .= ' [branch: <B>' . $WORKING_BRANCH . ']';
	}

	echo <<< EOF
<table width="100%" cellspacing="1" cellpadding="4" border="0">
 <tr class="menuhead">
  <td>
   <table width="100%" cellspacing="0" cellpadding="0" border="0">
    <tr class="menuhead" valign="middle">
     <td align="left" class="menuhead">
      <span class="title">{$title}</span>
     </td>
     <td align="right">
      <table border="0" cellspacing="0" cellpadding="0">
       <tr>
        <td align="right">
<a href="/" class="menuhead"><img src="graphics/fish.png" width="16" height="16" border="0" 
alt="home" /><img src="graphics/bubbles.png" width="6" height="16" border="0" 
alt="home" /></a>&nbsp;<br>
        </td>
        <td align="left">
         <a href="/" class="menuhead">i18n.easyDNS.com</a>
        </td>
       </tr>
      </table>
     </td>
    </tr>
   </table>
  </td>
 </tr>
 <tr class="menu">
  <td>
   <table width="100%" cellspacing="0" cellpadding="1" border="0">
    <tr align="absmiddle">
     <td align="left">
      {$subhead}
     </td>
     <td align="right">
      <table cellspacing="1" cellpadding="1" border="0">
       <tr align="baseline">
EOF;

echo '<td class="menu2">';
echo '<form method="POST" name="sel_lang" action="' . $PHP_SELF . '">';
echo '&nbsp;select:&nbsp;<select name="new_lang" onChange="document.forms[\'sel_lang\'].submit();"><option value="0">--';
foreach ($USER_LANGS as $lang=>$master) {
        printf('<option value="%s"%s>%s%s',
                $lang,
                (isset($_COOKIE['i18n_lang']) && $lang==$_COOKIE['i18n_lang'] ? ' SELECTED' : ''),
                $LANGS[$lang],
                ($master ? ' *' : '')
        );
}
echo '</select>&nbsp;';
echo '</form>';
echo '</td>';

if ($USER->builder) {
	echo '<td>or<br></td>';
	echo '<td class="menu2">&nbsp;';
	printLink('/regenerate.php', 'regenerate');
	echo '&nbsp;<br></td>';
}

echo <<< EOF
       </tr>
      </table>
     </td>
    </tr>
   </table>
  </td>
 </tr>
</table>
<br>
EOF;

}


function unHTMLSpecialChars($string) {
	$trans = get_html_translation_table(HTML_SPECIALCHARS);
	$trans = array_flip($trans);
	return strtr($string, $trans);
}


function mywordwrap($string,$width,$cut) {

	$words = preg_split ('/(\s+)/', $string, -1, PREG_SPLIT_DELIM_CAPTURE );
	$words[] = '';
	$result = array();
	$line = '';

	for($i=0; $i<count($words); $i=$i+2) {
		$word = unHTMLSpecialChars($words[$i]) . unHTMLSpecialChars($words[($i+1)]);

		if (strlen($line.$word) > $width) {
			$result[] = HTMLSpecialChars($line);
			$line = '';
		}
		$line .= $word;
	}
	if (strlen($line)) {
		$result[] = HTMLSpecialChars($line);
	}

	return join($cut, $result);

}





function showNice($string,$length=72) {

	$new = mywordwrap($string,$length,"<br>\n");
	return str_replace(' ', '<font color="#cccccc">&middot;</font>', $new );

}

